## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Interface SybaseASEUserDefinedType

All Superinterfaces:
  DataType, DistinctUserDefinedType, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, UserDefinedType

All Known Implementing Classes:
  SybaseASECatalogUserDefinedType, SybaseASEUserDefinedTypeImpl

    public interface SybaseASEUserDefinedType

extends DistinctUserDefinedType

A representation of the model object 'Sybase ASE User Defined Type'.

The following features are supported:

- `Bound Default`
- `Bound Rule`
- `Bind Default In Future Only`
- `Bind Rule In Future Only`
- `Allow Nulls`
- `Identity`

See Also:
  `SybaseasesqlmodelPackage.getSybaseASEUserDefinedType()`

Method Summary
`SybaseASEDefault` `getBoundDefault()` Returns the value of the 'Bound Default' reference.
`SybaseASERule` `getBoundRule()` Returns the value of the 'Bound Rule' reference.
`boolean` `isAllowNulls()` Returns the value of the 'Allow Nulls' attribute.
`boolean` `isBindDefaultInFutureOnly()` Returns the value of the 'Bind Default In Future Only' attribute.
`boolean` `isBindRuleInFutureOnly()` Returns the value of the 'Bind Rule In Future Only' attribute.
`boolean` `isIdentity()` Returns the value of the 'Identity' attribute.
`void` `setAllowNulls(boolean value)` Sets the value of the '`Allow Nulls`' attribute.
`void` `setBindDefaultInFutureOnly(boolean value)` Sets the value of the '`Bind Default In Future Only`' attribute.
`void` `setBindRuleInFutureOnly(boolean value)` Sets the value of the '`Bind Rule In Future Only`' attribute.
`void` `setBoundDefault(SybaseASEDefault value)` Sets the value of the '`Bound Default`' reference.
`void` `setBoundRule(SybaseASERule value)` Sets the value of the '`Bound Rule`' reference.
`void` `setIdentity(boolean value)` Sets the value of the '`Identity`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DistinctUserDefinedType
`getPredefinedRepresentation, setPredefinedRepresentation`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.UserDefinedType
`getOrdering, getSchema, setOrdering, setSchema`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getBoundDefault

    SybaseASEDefault getBoundDefault()

  Returns the value of the 'Bound Default' reference.

  If the meaning of the 'Bound Default' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Bound Default' reference.
  See Also:
    `setBoundDefault(SybaseASEDefault)`, `SybaseasesqlmodelPackage.getSybaseASEUserDefinedType_BoundDefault()`

### setBoundDefault

    void setBoundDefault(SybaseASEDefault value)

  Sets the value of the '`Bound Default`' reference.

  Parameters:
    `value` - the new value of the 'Bound Default' reference.
  See Also:
    `getBoundDefault()`

### getBoundRule

    SybaseASERule getBoundRule()

  Returns the value of the 'Bound Rule' reference.

  If the meaning of the 'Bound Rule' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Bound Rule' reference.
  See Also:
    `setBoundRule(SybaseASERule)`, `SybaseasesqlmodelPackage.getSybaseASEUserDefinedType_BoundRule()`

### setBoundRule

    void setBoundRule(SybaseASERule value)

  Sets the value of the '`Bound Rule`' reference.

  Parameters:
    `value` - the new value of the 'Bound Rule' reference.
  See Also:
    `getBoundRule()`

### isBindDefaultInFutureOnly

    boolean isBindDefaultInFutureOnly()

  Returns the value of the 'Bind Default In Future Only' attribute.

  If the meaning of the 'Bind Default In Future Only' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Bind Default In Future Only' attribute.
  See Also:
    `setBindDefaultInFutureOnly(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEUserDefinedType_BindDefaultInFutureOnly()`

### setBindDefaultInFutureOnly

    void setBindDefaultInFutureOnly(boolean value)

  Sets the value of the '`Bind Default In Future Only`' attribute.

  Parameters:
    `value` - the new value of the 'Bind Default In Future Only' attribute.
  See Also:
    `isBindDefaultInFutureOnly()`

### isBindRuleInFutureOnly

    boolean isBindRuleInFutureOnly()

  Returns the value of the 'Bind Rule In Future Only' attribute.

  If the meaning of the 'Bind Rule In Future Only' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Bind Rule In Future Only' attribute.
  See Also:
    `setBindRuleInFutureOnly(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEUserDefinedType_BindRuleInFutureOnly()`

### setBindRuleInFutureOnly

    void setBindRuleInFutureOnly(boolean value)

  Sets the value of the '`Bind Rule In Future Only`' attribute.

  Parameters:
    `value` - the new value of the 'Bind Rule In Future Only' attribute.
  See Also:
    `isBindRuleInFutureOnly()`

### isAllowNulls

    boolean isAllowNulls()

  Returns the value of the 'Allow Nulls' attribute.

  If the meaning of the 'Allow Nulls' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Allow Nulls' attribute.
  See Also:
    `setAllowNulls(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEUserDefinedType_AllowNulls()`

### setAllowNulls

    void setAllowNulls(boolean value)

  Sets the value of the '`Allow Nulls`' attribute.

  Parameters:
    `value` - the new value of the 'Allow Nulls' attribute.
  See Also:
    `isAllowNulls()`

### isIdentity

    boolean isIdentity()

  Returns the value of the 'Identity' attribute.

  If the meaning of the 'Identity' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Identity' attribute.
  See Also:
    `setIdentity(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEUserDefinedType_Identity()`

### setIdentity

    void setIdentity(boolean value)

  Sets the value of the '`Identity`' attribute.

  Parameters:
    `value` - the new value of the 'Identity' attribute.
  See Also:
    `isIdentity()`